# class GuidanceGroup

### Public Class Methods

guidance_groups_excluding(excluded_orgs) click to toggle source

    # File app/models/guidance_group.rb, line 28
    def self.guidance_groups_excluding(excluded_orgs)
            excluded_org_ids = Array.new
            excluded_orgs.each do |org|
                    excluded_org_ids << org.id
            end
            return_orgs =  GuidanceGroup.where("organisation_id NOT IN (?)", excluded_org_ids)
            return return_orgs
    end

### Public Instance Methods

display_name() click to toggle source

    # File app/models/guidance_group.rb, line 20
    def display_name
            if organisation.guidance_groups.count > 1
                    return "#{organisation.name}: #{name}"
            else
                    return organisation.name
            end
    end

to_s() click to toggle source

    # File app/models/guidance_group.rb, line 16
    def to_s
            "#{display_name}"
    end